# Uses of Enum Class
java.awt.Dialog.ModalityType

Packages that use Dialog.ModalityType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of Dialog.ModalityType in java.awt

  Subclasses with type arguments of type Dialog.ModalityType in java.awt
  Modifier and Type
  Class
  Description
  `static enum`
  `Dialog.ModalityType`
  Modal dialogs block all input to some top-level windows.
  Fields in java.awt declared as Dialog.ModalityType
  Modifier and Type
  Field
  Description
  `static final Dialog.ModalityType`
  Dialog.`DEFAULT_MODALITY_TYPE`
  Default modality type for modal dialogs.
  Methods in java.awt that return Dialog.ModalityType
  Modifier and Type
  Method
  Description
  `Dialog.ModalityType`
  Dialog.`getModalityType()`
  Returns the modality type of this dialog.
  `static Dialog.ModalityType`
  Dialog.ModalityType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dialog.ModalityType[]`
  Dialog.ModalityType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.awt with parameters of type Dialog.ModalityType
  Modifier and Type
  Method
  Description
  `abstract boolean`
  Toolkit.`isModalityTypeSupported(Dialog.ModalityType modalityType)`
  Returns whether the given modality type is supported by this toolkit.
  `void`
  Dialog.`setModalityType(Dialog.ModalityType type)`
  Sets the modality type for this dialog.
  Constructors in java.awt with parameters of type Dialog.ModalityType
  Modifier
  Constructor
  Description
  ``
  `Dialog(Window owner, Dialog.ModalityType modalityType)`
  Constructs an initially invisible `Dialog` with the specified owner `Window` and modality and an empty title.
  ``
  `Dialog(Window owner, String title, Dialog.ModalityType modalityType)`
  Constructs an initially invisible `Dialog` with the specified owner `Window`, title and modality.
  ``
  `Dialog(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
  Constructs an initially invisible `Dialog` with the specified owner `Window`, title, modality and `GraphicsConfiguration`.

- ## Uses of Dialog.ModalityType in javax.swing

  Constructors in javax.swing with parameters of type Dialog.ModalityType
  Modifier
  Constructor
  Description
  ``
  `JDialog(Window owner, Dialog.ModalityType modalityType)`
  Creates a dialog with an empty title and the specified modality and `Window` as its owner.
  ``
  `JDialog(Window owner, String title, Dialog.ModalityType modalityType)`
  Creates a dialog with the specified title, owner `Window` and modality.
  ``
  `JDialog(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
  Creates a dialog with the specified title, owner `Window`, modality and `GraphicsConfiguration`.